The following dependencies are needed for Mobile Media Center (MMC):

.NET Framework 2.0
http://www.microsoft.com/downloads/d...displaylang=en

DirectX 9.0c
http://www.microsoft.com/downloads/d...displaylang=en

This is all that is needed at this time.